Skip to main content
GET
/
commerce
/
admin
/
locations
/
{locationCode}
/
attributes
/
{fullyQualifiedName}
Error
A valid request URL is required to generate request examples
{
  "attributeCode": "<string>",
  "displayGroup": "<string>",
  "valueType": "<string>",
  "adminName": "<string>",
  "attributeFQN": "<string>",
  "attributeMetadata": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "availableForDiscounts": true,
  "availableForOrderRouting": true,
  "content": {
    "localeCode": "<string>",
    "value": "<string>"
  },
  "dataType": "<string>",
  "id": 123,
  "inputType": "<string>",
  "isActive": true,
  "isMultiValued": true,
  "isReadOnly": true,
  "isRequired": true,
  "isVisible": true,
  "namespace": "<string>",
  "order": 123,
  "validation": {
    "maxDateTime": "2023-11-07T05:31:56Z",
    "maxNumericValue": 123,
    "maxStringLength": 123,
    "minDateTime": "2023-11-07T05:31:56Z",
    "minNumericValue": 123,
    "minStringLength": 123,
    "regularExpression": "<string>"
  },
  "vocabularyValues": [
    {
      "value": "<string>",
      "content": {
        "localeCode": "<string>",
        "value": "<string>"
      },
      "isHidden": true,
      "sequence": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

locationCode
string
required

The unique code for a location

fullyQualifiedName
string
required

The fully qualified name of the attribute to retrieve

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

attributeCode
string
required
Maximum string length: 50
displayGroup
string
required
valueType
string
required
adminName
string | null
Maximum string length: 50
attributeFQN
string | null
attributeMetadata
object[] | null
auditInfo
object
availableForDiscounts
boolean
availableForOrderRouting
boolean
content
object
dataType
string | null
id
integer<int32> | null
inputType
string | null
isActive
boolean | null
isMultiValued
boolean | null
isReadOnly
boolean
isRequired
boolean | null
isVisible
boolean | null
namespace
string | null
Maximum string length: 200
order
integer<int32> | null
validation
object
vocabularyValues
object[] | null